FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Fl_Display_Device Class Reference

A display to which the computer can draw. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Display_Device:

## Public Member Functions
const char * | class_name ()
| Returns the name of the class of this object. More...
| Fl_Display_Device (Fl_Graphics_Driver *graphics_driver)
| A constructor that sets the graphics driver used by the display.
Public Member Functions inherited from Fl_Surface_Device
void | driver (Fl_Graphics_Driver *graphics_driver)
| Sets the graphics driver of this drawing surface. More...
Fl_Graphics_Driver * | driver ()
| Returns the graphics driver of this drawing surface. More...
virtual void | set_current (void)
| Use this drawing surface for future graphics requests. More...
virtual | ~Fl_Surface_Device ()
| The destructor. More...
Public Member Functions inherited from Fl_Device
virtual | ~Fl_Device ()
| Virtual destructor. More...

## Static Public Member Functions
static Fl_Display_Device * | display_device ()
| Returns the platform display device. More...
Static Public Member Functions inherited from Fl_Surface_Device
static Fl_Surface_Device * | surface ()
| the surface that currently receives graphics output

## Static Public Attributes
static const char * | class_id = "Fl_Display_Device"
Static Public Attributes inherited from Fl_Surface_Device
static const char * | class_id = "Fl_Surface_Device"
Static Public Attributes inherited from Fl_Device
static const char * | class_id = "Fl_Device"
| A string that identifies each subclass of Fl_Device. More...

## Additional Inherited Members
Protected Member Functions inherited from Fl_Surface_Device
| Fl_Surface_Device (Fl_Graphics_Driver *graphics_driver)
| Constructor that sets the graphics driver to use for the created surface. More...

## Detailed Description

A display to which the computer can draw.

## Member Function Documentation

const char* Fl_Display_Device::class_name | ( |  | ) |
| inline virtual

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented from Fl_Surface_Device.

static Fl_Display_Device* Fl_Display_Device::display_device | ( |  | ) |
| inline static

Returns the platform display device.

The documentation for this class was generated from the following files:

- Fl_Device.H
- Fl_Device.cxx

- © 1998-2014 by Bill Spitzak and others.